opj_tcd_marker_info Struct Reference

Structure to hold information needed to generate some markers. More...

`#include <tcd.h>`

## Data Fields

OPJ_BOOL | need_PLT
| In: Whether information to generate PLT markers in needed.
OPJ_UINT32 | packet_count
| OUT: Number of elements in p_packet_size[] array.
OPJ_UINT32 * | p_packet_size
| OUT: Array of size packet_count, such that p_packet_size[i] is the size in bytes of the ith packet.

## Detailed Description

Structure to hold information needed to generate some markers.

Used by encoder.

## Field Documentation

## need_PLT

OPJ_BOOL opj_tcd_marker_info::need_PLT

In: Whether information to generate PLT markers in needed.

Referenced by opj_t2_encode_packets(), and opj_tcd_marker_info_create().

## p_packet_size

OPJ_UINT32* opj_tcd_marker_info::p_packet_size

OUT: Array of size packet_count, such that p_packet_size[i] is the size in bytes of the ith packet.

Referenced by opj_j2k_write_plt_in_memory(), opj_t2_encode_packets(), and opj_tcd_marker_info_destroy().

## packet_count

OPJ_UINT32 opj_tcd_marker_info::packet_count

OUT: Number of elements in p_packet_size[] array.

Referenced by opj_j2k_write_plt_in_memory(), and opj_t2_encode_packets().

The documentation for this struct was generated from the following file:

- tcd.h